<?php

namespace App\ViewModels\TipoExtorno\TipoExtornoDetailsViewModel;

use App\Utils\Entity;

class TipoExtornoDetailsViewModel extends Entity {
	protected $id;
	protected $descricao;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;

	public static function builder(): TipoExtornoDetailsViewModelBuilder {

		return (new TipoExtornoDetailsViewModelBuilder());

	}

	public function getId(): int {

		return $this->id;

	}

	public function getDescricao(): string {

		return $this->descricao;

	}

	public function setId(int $id): void {

		$this->id = $id;

	}

	public function setDescricao(string $descricao): void {

		$this->descricao = $descricao;

	}
	/**
	 * @return mixed
	 */
	public function getCriadoPor() {

		return $this->criado_por;
	}


	/**
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->data_criacao;
	}


	/**
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->hora_criacao;
	}


	/**
	 * @param mixed $criado_por
	 */
	public function setCriadoPor($criado_por) {

		$this->criado_por = $criado_por;
	}


	/**
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao) {

		$this->data_criacao = $data_criacao;
	}


	/**
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao) {

		$this->hora_criacao = $hora_criacao;
	}



}